geronimo-scm mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ga...@apache.org
Subject svn commit: r1379534 - /geronimo/server/branches/3.0/plugins/aries/geronimo-aries/src/main/java/org/apache/geronimo/aries/ResolverErrorAnalyzer.java
Date Fri, 31 Aug 2012 18:08:20 GMT
Author: gawor
Date: Fri Aug 31 18:08:20 2012
New Revision: 1379534

URL: http://svn.apache.org/viewvc?rev=1379534&view=rev
Log:
improve error messages slightly for uses conflict to include bundle id

Modified:
    geronimo/server/branches/3.0/plugins/aries/geronimo-aries/src/main/java/org/apache/geronimo/aries/ResolverErrorAnalyzer.java

Modified: geronimo/server/branches/3.0/plugins/aries/geronimo-aries/src/main/java/org/apache/geronimo/aries/ResolverErrorAnalyzer.java
URL: http://svn.apache.org/viewvc/geronimo/server/branches/3.0/plugins/aries/geronimo-aries/src/main/java/org/apache/geronimo/aries/ResolverErrorAnalyzer.java?rev=1379534&r1=1379533&r2=1379534&view=diff
==============================================================================
--- geronimo/server/branches/3.0/plugins/aries/geronimo-aries/src/main/java/org/apache/geronimo/aries/ResolverErrorAnalyzer.java
(original)
+++ geronimo/server/branches/3.0/plugins/aries/geronimo-aries/src/main/java/org/apache/geronimo/aries/ResolverErrorAnalyzer.java
Fri Aug 31 18:08:20 2012
@@ -146,7 +146,13 @@ public class ResolverErrorAnalyzer {
                     }
                     break;
                 case IMPORT_PACKAGE_USES_CONFLICT:
+                    ImportPackageSpecification usesImportPackageSpecification = (ImportPackageSpecification)
constraint;
+                    errorList.add("The package dependency " + versionToString(usesImportPackageSpecification)
+ " required by bundle " + bundleToString(bundle) + " cannot be resolved due to uses directive
conflict.");
+                    break;
                 case REQUIRE_BUNDLE_USES_CONFLICT:
+                    BundleSpecification usesBundleSpecification = (BundleSpecification) constraint;
+                    errorList.add("The bundle dependency " + versionToString(usesBundleSpecification)
+ " required by bundle " + bundleToString(bundle) + " cannot be resolved due to uses directive
conflict.");
+                    break;
                 default:   
                     errorList.add(error.toString());
                     break;



Mime
View raw message